%global collection_namespace community
%global collection_name docker

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        2.0.2
Release:        1%{?dist}
Summary:        Docker modules and plugins supported by Ansible community

# plugins/module_utils/_mount.py: Python Software Foundation License version 2
# plugins/module_utils/identity/keycloak/keycloak.py: BSD 2-clause "Simplified" License
License:        GPLv3+ and BSD and Python
URL:            %{ansible_collection_url}
Source:         https://github.com/ansible-collections/%{collection_namespace}.%{collection_name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  (ansible >= 2.9.10 or ansible-core >= 2.11.0)
Requires:       python3-docker

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n %{collection_namespace}.%{collection_name}-%{version}
rm -vr .github .azure-pipelines
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
find -type f -name '.gitignore' -print -delete

%build
%ansible_collection_build

%install
%ansible_collection_install
rm -vr %{buildroot}%{ansible_collection_files}/%{collection_name}/tests

%files
%license COPYING
%doc README.md CHANGELOG.rst
%{ansible_collection_files}

%changelog
* Tue Dec 28 2021 Yaakov Selkowitz <yselkowi@redhat.com> - 2.0.2-1
- Initial build
